%define localstatedir   /var/lib

Summary:            sm-archive Sendmail Milter
Name:               sm-archive
Version:            1.4
Release:            %{?custom_release}%{!?custom_release:1}
Copyright:          GPL
Group:              System Environment/Daemons
Source:             http://www.five-ten-sg.com/sm-archive/packages/sm-archive-1.4.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-buildroot
URL:                http://www.five-ten-sg.com/sm-archive/
Vendor:             510 Software Group
Packager:           510 Software Group
AutoReqProv:        no

Requires(pre):          /usr/sbin/useradd
Requires(pre):          /usr/bin/getent
Requires(postun):       /usr/sbin/userdel
Requires(post,preun):   /sbin/chkconfig
Requires(post,preun):   /sbin/service
BuildRequires:          sendmail-devel >= 8.12.1
Requires:               sendmail >= 8.12.1
Requires:               sendmail-cf
Requires:               libc.so.6, libgcc_s.so.1, libm.so.6, libpthread.so.0, libstdc++.so.6


%description
This milter adds recipient addresses to message passing thru it, based on a configuration file.

The sm-archive milter reads a text configuration file (sm-archive.conf) on startup, and whenever the config file (or any of the referenced include files) is changed. The entire configuration file is case insensitive.


%prep


%setup


%build
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make


%install
if [ "$RPM_BUILD_ROOT" = "/" -o -z "$RPM_BUILD_ROOT" ] ; then
        echo sorry, you probably do not want me to delete the old buildroot at $RPM_BUILD_ROOT
        exit 1
fi
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/sm-archive-1.4
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/sm-archive/sm-archive   $RPM_BUILD_ROOT/etc/rc.d/init.d
mv AUTHORS COPYING ChangeLog NEWS README                    $RPM_BUILD_ROOT%{_datadir}/doc/sm-archive-1.4
mkdir -p %{buildroot}/var/run/sm-archive


%pre
/usr/bin/getent passwd sm-archive >/dev/null ||
  useradd -r -d /etc/sm-archive -M -c "sm-archive pseudo-user" -s /sbin/nologin sm-archive


%post
/sbin/chkconfig --add sm-archive

echo Remember to edit %{_sysconfdir}/sm-archive/sm-archive.conf and add the following line to your sendmail.mc:
echo "INPUT_MAIL_FILTER(\`sm-archive', \`S=local:/var/run/sm-archive/sm-archive.sock, F=T, T=C:30s;S:5m;R:5m;E:5m')"
echo


%preun
/sbin/service sm-archive stop || :
/sbin/chkconfig --del sm-archive
userdel sm-archive || :


%postun


%clean

%files
%defattr(-,root,root)
%{_sbindir}/*
%doc %{_mandir}/*
%docdir %{_datadir}/doc/sm-archive-1.4
%{_datadir}/doc/sm-archive-1.4
%config(noreplace) %{_sysconfdir}/sm-archive
/etc/rc.d/init.d/sm-archive
%dir %attr(0750,sm-archive,root) /var/run/sm-archive


%changelog
* Fri Mar 10 2006 Carl Byington 1.0
- use autoconf and http://www.fedora.us/docs/rpm-packaging-guidelines.html
